/**********************************************
* main.c - The main system file for SplitServ.
*          Ties all the other pieces together
*
* CVS $Id: main.c,v 1.8 2000/07/27 23:26:43 wcampbel Exp $
**********************************************/

#include "split.h"

int main(int argc, char *argv[])
{
	int forked = 0;
	FILE* fp;

	sprintf(me.version, "Split $Revision: 1.8 $ (Compile: %s %s)",
		__DATE__, __TIME__);

	LoadConf();

	forked=fork();
	if (forked) {
		fp = fopen(PIDFILE, "w");
		fprintf(fp, "%i", forked);
		fclose(fp);
		return 0;
	} 

	while(1) {
		servsock = Connect();
        	if (servsock <= 0) {
                	log("Unable to connect to %s", me.uplink); 
	        } else {
			Register();
			ListenLoop();
		}
		log("Reconnecting to the server in %d seconds", me.r_time);
		sleep(me.r_time);
	}
	return 0;
}
