/*********************************************
* util.c - Utility functions
*
* CVS $Id: util.c,v 1.7 2000/10/22 14:58:50 wcampbel Exp $
*********************************************/

#include "split.h"

void log(char *fmt, ...)
{
        va_list ap;
        FILE *logfile;
        char buf[512], fmtime[80];
        time_t tmp = time(NULL);

        va_start(ap, fmt);
        vsnprintf(buf, 512, fmt, ap);

        strftime(fmtime, 80, "%H:%M[%m/%d/%Y]", localtime(&tmp));

        if ((logfile = fopen(LOGFILE, "a")) == NULL) return;

        if (logfile)
                fprintf(logfile, "(%s) %s\n", fmtime, buf);

#ifdef DEBUG
        fprintf(stderr, "(%s) %s\n", fmtime, buf);
#endif

        fclose(logfile);
        va_end(ap);
}

void sts(char *fmt,...)
{
        va_list ap;
        char buf[512];

        va_start (ap, fmt);
        vsnprintf (buf, 512, fmt, ap);

#ifdef DEBUG
        log("SENT: %s", buf);
#endif
        strcat (buf, "\n");

        if ((write (servsock, buf, strlen (buf))) == -1) {
                log("Write error.");
                exit(0);
        }

        va_end (ap);
}

void msg_list(char *to, const char **text)
{
        while (*text) {
                if (**text)
                        sts(":%s PRIVMSG %s :%s", SplitServ.nick,
			to, *text);
                else
                        sts(":%s PRIVMSG %s : ", SplitServ.nick,
			to);
                text++;
        }
}

char *timediff(time_t u)
{
	char* buf = malloc(LINE);

        if (u > 86400)
                sprintf(buf, "%ld day%s, %02ld:%02ld",
                        u/86400, (u/86400 == 1) ? "" : "s",
                        (u/3600) % 24, (u/60) % 60);
        else if (u > 3600)
                sprintf(buf, "%ld hour%s, %ld minute%s",
                        u/3600, u/3600==1 ? "" : "s",
                        (u/60) % 60, (u/60)%60 == 1 ? "" : "s");
        else
                sprintf(buf, "%ld minute%s, %ld second%s",
                        u/60, u/60 == 1 ? "" : "s",
                        u%60, u%60 == 1 ? "" : "s");

        return buf;
}

void CTCPClean(char *line)
{
        char *c;   
        
        if ((c = strchr(line, '\001')))   *c = '\0';
}
